- Payment Types
- List payment types
Payment Types
List payment types
List the payment types available in this environment, optionally filtered by tax authority.
GET
/v1/payment-types
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/payment-types \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/payment-types \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'Authorizations
bearerAuth
required
string
Access token from POST /v1/auth/token, sent as `Authorization: Bearer {accessToken}`.
Query Parameters
taxAuthority
string
Tax authority code, for example US_IRS.
x-api-key
required
string
API key of your Client Application.
Response
application/json
200
400
401
403
OK
object
The payment types available on this instance, ordered by key.
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/payment-types \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/payment-types \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'